# Ogre::AnimationControllerFunction Class Reference

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:

[legend]
List of all members.

## Public Member Functions

| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
| Constructor.
Real | calculate (Real source)
| Overridden function.
void | setTime (Real timeVal)
| Set the time value manually.
void | setSequenceTime (Real seqVal)
| Set the sequence duration value manually.
| ControllerFunction (bool deltaInput)
| Constructor.
| AllocatedObject ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

Real | getAdjustedInput (Realinput)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mSeqTime
Real | mTime
bool | mDeltaInput
| If true, function will add input values together and wrap at 1.0 before evaluating.
Real | mDeltaCount

## Detailed Description

Predefined controller function for dealing with animation.

Definition at line 186 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = `0.0f`
| ) |

Constructor.

Parameters:

  | sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  | timeOffset | The offset in seconds at which to start (default is start at 0)

## Member Function Documentation

Ogre::AllocatedObject< GeneralAllocPolicy >::AllocatedObject | ( |  | ) | `[explicit, inherited]`

| Definition at line 55 of file OgreMemoryAllocatedObject.h.

Real Ogre::AnimationControllerFunction::calculate | ( | Real | source | ) | `[virtual]`

| Overridden function. Implements Ogre::ControllerFunction< Real >.

Ogre::ControllerFunction< Real >::ControllerFunction | ( | bool | deltaInput | ) | `[inherited]`

Constructor.

Parameters:

  | deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

Definition at line 85 of file OgreController.h.

References Ogre::ControllerFunction< T >::mDeltaCount, and Ogre::ControllerFunction< T >::mDeltaInput.

Real Ogre::ControllerFunction< Real >::getAdjustedInput | ( | Real | input | ) | `[protected, inherited]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 60 of file OgreController.h. References Ogre::ControllerFunction< T >::mDeltaCount, and Ogre::ControllerFunction< T >::mDeltaInput.

void Ogre::AllocatedObject< GeneralAllocPolicy >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) | `[inherited]`

| Definition at line 101 of file OgreMemoryAllocatedObject.h.

void Ogre::AllocatedObject< GeneralAllocPolicy >::operator delete | ( | void * | ptr,
|  | void * |
| ) | `[inherited]`

| Definition at line 95 of file OgreMemoryAllocatedObject.h.

void Ogre::AllocatedObject< GeneralAllocPolicy >::operator delete | ( | void * | ptr | ) | `[inherited]`

| Definition at line 89 of file OgreMemoryAllocatedObject.h.

void Ogre::AllocatedObject< GeneralAllocPolicy >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) | `[inherited]`

| Definition at line 112 of file OgreMemoryAllocatedObject.h.

void Ogre::AllocatedObject< GeneralAllocPolicy >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

| Definition at line 106 of file OgreMemoryAllocatedObject.h.

void* Ogre::AllocatedObject< GeneralAllocPolicy >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) | `[inherited]`

| placement operator new Definition at line 73 of file OgreMemoryAllocatedObject.h.

void* Ogre::AllocatedObject< GeneralAllocPolicy >::operator new | ( | size_t | sz | ) | `[inherited]`

| Definition at line 67 of file OgreMemoryAllocatedObject.h.

void* Ogre::AllocatedObject< GeneralAllocPolicy >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) | `[inherited]`

| operator new, with debug line info Definition at line 62 of file OgreMemoryAllocatedObject.h.

void* Ogre::AllocatedObject< GeneralAllocPolicy >::operator new[] | ( | size_t | sz | ) | `[inherited]`

| Definition at line 84 of file OgreMemoryAllocatedObject.h.

void* Ogre::AllocatedObject< GeneralAllocPolicy >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) | `[inherited]`

| array operator new, with debug line info Definition at line 79 of file OgreMemoryAllocatedObject.h.

void Ogre::AnimationControllerFunction::setSequenceTime | ( | Real | seqVal | ) |

| Set the sequence duration value manually.

void Ogre::AnimationControllerFunction::setTime | ( | Real | timeVal | ) |

| Set the time value manually.

## Member Data Documentation

Real Ogre::ControllerFunction< Real >::mDeltaCount`[protected, inherited]`

| Definition at line 56 of file OgreController.h.

bool Ogre::ControllerFunction< Real >::mDeltaInput`[protected, inherited]`

| If true, function will add input values together and wrap at 1.0 before evaluating. Definition at line 55 of file OgreController.h.

Real Ogre::AnimationControllerFunction::mSeqTime`[protected]`

| Definition at line 189 of file OgrePredefinedControllers.h.

Real Ogre::AnimationControllerFunction::mTime`[protected]`

| Definition at line 190 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:51:07 2009